'''Created Jun 12, 2023 deeejas'''

# FEROTI = 'FEROTI'
# FEROTICSV = 'RO54BTRL01301202I02674XX.csv'

# MZK = 'CONSDEN'
# MZKCSV = 'RO26BTRL01301202N63584XX.csv'

MZK = {'name': 'CONSDEN',
       'accountron': {'name': 'CONT BTRL', 'number': 'RO26BTRL01301202N63584XX', 'currency': 'Lei'},
       # 'accounteur': {'name': 'TRANSILVANIA EURO', 'number': 'RO95BTRL01304202A93957XX', 'currency': 'EUR'},
       # 'accounthuf': {'name': 'TRANSILVANIA HUF', 'number': 'RO93BTRL01312202A93957XX', 'currency': 'HUF'},
       'location': 'CLUJ-NAPOCA', 'agency': 'CLUJ CIPARIU', 'symbol': 'BT',
       'ron': 'RO26BTRL01301202N63584XX.csv',
       # 'eur': 'RO95BTRL01304202A93957XX.csv',
       # 'huf': 'RO93BTRL01312202A93957XX.csv'
       }

VIBRO = {'name': 'VIBRO',
         'accountron': {'name': 'BTRL RON-CARD-1225', 'number': 'RO23BTRL01301202A93957XX', 'currency': 'Lei'},
         'accounteur': {'name': 'TRANSILVANIA EURO', 'number': 'RO95BTRL01304202A93957XX', 'currency': 'EUR'},
         'accounthuf': {'name': 'TRANSILVANIA HUF', 'number': 'RO93BTRL01312202A93957XX', 'currency': 'HUF'},
         'location': 'Cluj-Napoca', 'agency': 'CLUJ-NAPOCA', 'symbol': 'BTRL',
         'ron': 'RO23BTRL01301202A93957XX.csv',
         'eur': 'RO95BTRL01304202A93957XX.csv',
         'huf': 'RO93BTRL01312202A93957XX.csv'}

WEBS = {'name': 'WEBS',
        'accountron': {'name': 'CONT CURENT', 'number': 'RO63OTPV200000241511RO01', 'currency': 'Lei'},
        'accounteur': {'name': 'CONT EURO', 'number': 'RO20OTPV200000241511EU01', 'currency': 'EUR'},
        'accountcard': {'name': 'CONT CARD', 'number': 'RO36OTPV200000241511RO02', 'currency': 'Lei'},
        'location': 'CLUJ-NAPOCA', 'agency': 'CLUJ NAPOCA', 'symbol': 'OTP',
        'ron': 'RO63OTPV200000241511RO01.csv',
        'eur': 'RO20OTPV200000241511EU01.csv',
        'card': 'RO36OTPV200000241511RO02.csv'}

CHRYS = {'name': 'CHRYPRI',
         'accountron': {'name': 'CONT CURENT', 'number': 'RO60RNCB0106026590140001', 'currency': 'Lei'},
         'accounteur': {'name': 'CONT EURO', 'number': 'RO16RNCB0106026590140017', 'currency': 'EUR'},
         'location': 'CLUJ-NAPOCA', 'agency': 'CLUJ-NAPOCA', 'symbol': 'BCR',
         'ron': 'Extras BCR lei.csv',
         'eur': 'Extras BCR Eur.csv'}

KKINV = {'name': 'KINVEST',
         'accountron': {'name': 'BRD', 'number': 'RO57BRDE130SV79669811300', 'currency': 'Lei'},
         'accounteur': {'name': 'EUR', 'number': 'RO63BRDE130SV65089621300', 'currency': 'EUR'},
         'location': 'CLUJ-NAPOCA', 'agency': 'CLUJ NAPOCA', 'symbol': 'BRD',
         'ron': 'Extras BRD lei.zip',
         'eur': 'Extras BRD Eur.zip'}

TAURIMOB = {'name': 'TAURIMOB',
            'accountron': {'name': 'CONT BT RON - 1167', 'number': 'RO04BTRLRONCRT0603497501', 'currency': 'Lei'},
            'accounteur': {'name': '', 'number': '', 'currency': 'EUR'},
            'location': 'CLUJ-NAPOCA', 'agency': 'CLUJ-NAPOCA', 'symbol': 'TRANSILVANIA',
            'ron': 'RO04BTRLRONCRT0603497501.csv',
            'eur': ''}

DECOR = {'name': 'FEROTI',
         'accountron': {'name': 'CONT CURENT BT LEI 1133 1125', 'number': 'RO54BTRL01301202I02674XX', 'currency': 'Lei'},
         'accounteur': {'name': 'CONT CURENT VALUTA EURO', 'number': 'RO29BTRL01304202I02674XX', 'currency': 'EUR'},
         'location': 'CLUJ-NAPOCA', 'agency': 'CLUJ', 'symbol': 'BT',
         'ron': 'RO54BTRL01301202I02674XX.csv',
         'eur': 'RO29BTRL01304202I02674XX.csv'}
