import os
import re

# bt_files = filter(lambda f: 'BTRL' and '.csv' in f, os.listdir())
# bacx_files = filter(lambda f: 'export' in f, os.listdir())

def rename_bt(bt_files=None):
    bt_files = bt_files or filter(lambda f: 'BTRL' and '.csv' in f, os.listdir())
    for file in bt_files:
        idx = re.search('-[0-9]+.[0-9]+.[0-9]+-[0-9]+.[0-9]+.[0-9]+', file)
        if idx:
            print(idx)
            ext = file[-4:]
            loc = idx.start()
            # os.rename(file, file[:loc] + ext)
            os.replace(file, file[:loc] + ext)
            print(file)

def rename_bacx(bacx_files=None):
    bacx_files = bacx_files or filter(lambda f: 'export' in f, os.listdir())
    for file in bacx_files:
        idx = re.search(' \(', file)
        if idx:
            print(idx)
            ext = file[-4:]
            loc = idx.start()
            # os.rename(file, file[:loc] + ext)
            os.replace(file, file[:loc] + ext)
            print(file)

def delete_bacx(io1, io2, io3):
    ops = []
    with open(io1) as log:
        for row in log.readlines():
            ops.append(row[2:])
    with open(io2) as bacx_export:
        lines = bacx_export.readlines()
    with open(io3, 'w') as export2:
        for line in lines:
            if line not in ops:
                export2.write(line)

def delete_btrl(io1, io2, io3):
    ops = []
    with open(io1) as log:
        for row in log.readlines():
            row = row[2:].replace('"', '')
            ops.append(row)
            # print(row)
    with open(io2) as btrl_export:
        lines = btrl_export.readlines()
    with open(io3, 'w') as export2:
        for line in lines:
            line2 = line.replace('"', '')
            if line2 not in ops:
                export2.write(line)


if __name__ == '__main__':
    rename_bt()
    rename_bacx()
